Did I find the right examples for you? yes no      Crawl my project      Python Jobs

All Samples(19)  |  Call(19)  |  Derive(0)  |  Import(0)

src/l/a/ladybug-HEAD/src/ladybug_ladybug.py   ladybug(Download)
    def joinMesh(self, meshList):
        joinedMesh = rc.Geometry.Mesh()
        for m in meshList: joinedMesh.Append(m)
        return joinedMesh
 
        try:
            for face in range(meshList[0].Faces.Count):
                joinedMesh.Append(meshList[0].Faces[face]) #join the mesh
        except:
            try:
                for face in meshList: joinedMesh.Append(face)
            except:
                joinedMesh.Append(meshList)
                mesh.Vertices.Add(meshVertices[segNum * 2 + 3]) #3
                mesh.Faces.AddFace(0, 1, 3, 2)
                legendSrf.Append(mesh)
 
                textPt.append(meshVertices[segNum * 2 + 1])

src/l/a/ladybug-HEAD/src/Ladybug_Shade Benefit Evaluator.py   ladybug(Download)
        def joinMesh(meshList):
            joinedMesh = rc.Geometry.Mesh()
            for m in meshList: joinedMesh.Append(m)
            return joinedMesh
 

src/l/a/ladybug-HEAD/src/Ladybug_Shading Mask.py   ladybug(Download)
def joinMesh(meshList):
    joinedMesh = rc.Geometry.Mesh()
    for m in meshList: joinedMesh.Append(m)
    return joinedMesh
 
def meshAndJoin(brepList):
    joinedMesh = rc.Geometry.Mesh()
    for brep in brepList:
        meshList = rc.Geometry.Mesh.CreateFromBrep(brep, rc.Geometry.MeshingParameters.Smooth)
        for m in meshList: joinedMesh.Append(m)

src/h/o/Honeybee-HEAD/src/Honeybee_Energy Shade Benefit Evaluator.py   Honeybee(Download)
        def joinMesh(meshList):
            joinedMesh = rc.Geometry.Mesh()
            for m in meshList: joinedMesh.Append(m)
            return joinedMesh
 

src/h/o/Honeybee-HEAD/src/Honeybee_Honeybee.py   Honeybee(Download)
    def joinMesh(self, meshList):
        joinedMesh = rc.Geometry.Mesh()
        for m in meshList: joinedMesh.Append(m)
        return joinedMesh
 

src/r/h/rhinopython-HEAD/scripts/rhinoscript/mesh.py   rhinopython(Download)
    meshes = [rhutil.coercemesh(id,True) for id in object_ids]
    joined_mesh = Rhino.Geometry.Mesh()
    for mesh in meshes: joined_mesh.Append(mesh)
    rc = scriptcontext.doc.Objects.AddMesh(joined_mesh)
    if delete_input:

src/l/a/ladybug-HEAD/src/Ladybug_Shadow Study.py   ladybug(Download)
def joinMesh(meshList):
    joinedMesh = rc.Geometry.Mesh()
    for m in meshList: joinedMesh.Append(m)
    return joinedMesh
 

src/l/a/ladybug-HEAD/src/Ladybug_view Rose.py   ladybug(Download)
def joinMesh(meshList):
    joinedMesh = rc.Geometry.Mesh()
    for m in meshList: joinedMesh.Append(m)
    return joinedMesh
 

src/l/a/ladybug-HEAD/src/Ladybug_SunPath.py   ladybug(Download)
            for j, sun in enumerate(spheres):
                for face in range(sun.Faces.Count):repeatedColors.append(colors[j])
                sunS.Append(sun)
            return lb_visualization.colorMesh(repeatedColors, sunS)
 

src/l/a/ladybug-HEAD/src/Ladybug_Shading Mask_II.py   ladybug(Download)
def joinMesh(meshList):
    joinedMesh = rc.Geometry.Mesh()
    for m in meshList: joinedMesh.Append(m)
    return joinedMesh
 

  1 | 2  Next